//******************************************************************************
//
//   ..........:	1wire_pic24.h
//
//   ......:	   1-wire  PIC24
//
//   ........:	-
//
//   ..........:  -
//
//******************************************************************************
//   

#define FCY  16000000uL
//#define USE_AND_OR
#define Delay_ms(d) (__delay32 (((d)) * ((FCY) / 1000uL)))
#define Delay_us(d) (__delay32 (((d)) * ((FCY) / 1000000uL)))  
#define nop() {__asm__ volatile("nop");}		// ( )

#include "p24F04KA201.h"
#define DQ  	LATAbits.LATA0			//   1-wire
#define DQin  PORTAbits.RA0
//#include <timer.h>
//#define POWER  PORTAbits.RA5		 //    DS

unsigned char init_DS(void);   							
unsigned char read_bit(void); 
void write_bit(unsigned char b);
void pause(unsigned char sec);  						
void write_byte(unsigned char byte); 			
unsigned char read_byte(void);

  