//******************************************************************************/
//   ..........:	main.h
//
//   ()......:	 
//
//   ()...:	PIC24F04KA201, Fosc=32=8(FRC)*4PLL; : 	_CONFIG1(0x3F7F);
//																																			_CONFIG2(0xF9DF); 
//	 ....:	MPLAB C COMPILER FOR PIC24 MCUs AND dsPIC DSCs v3.23
//
//   ......:	  (PIC24+DS18B20)
//
//   ........:	-
//
//   ..........:  -//
//******************************************************************************

 //                                                                               
#define nop() {__asm__ volatile("nop");}		// ( )

//   
#define FCY  16000000uL
//#define USE_AND_OR
#define Delay_ms(d) (__delay32 (((d)) * ((FCY) / 1000uL)))
#define Delay_us(d) (__delay32 (((d)) * ((FCY) / 1000000uL))) 

// : 
#define HG11 PORTAbits.RA1        					
#define HG12 PORTAbits.RA2       						
#define HG13 PORTAbits.RA3 									
#define HG14 PORTAbits.RA4

//    :
//				   FEDCBA9876543210    				
#define IND0 		0b0001001000000000 
#define IND1 		0b0001111111111001        					
#define IND2 		0b0001000100000100        					
#define IND3 		0b0001000110000000
//				   FEDCBA9876543210       						
#define IND4 		0b0001000010010001 									
#define IND5 		0b0001000010000010
#define IND6 		0b0001000000000010        					
#define IND7 		0b0001001110010000
//				   FEDCBA9876543210        						
#define IND8 		0b0001000000000000 									
#define IND9 		0b0001000010000000
#define INDmin	0b0001110111111111  //
#define INDgr   0b0001000010010100	// 
#define IND_H   0b0001000000010001	// "H"								
#define IND_OFF 0b0001111111111111	//
/***********************************                   
**************************                                                             
************************************/	
unsigned char t,x;														// 
unsigned char ack;
unsigned int u;																// 
unsigned char  w; 
unsigned char tm; 
unsigned char k,i;
volatile unsigned char mem[9];								//   

//:
void portinit04KA201(void); 
void ind (unsigned char a); 																								 																	  
void timer1init(void);